<script setup lang="ts">
  const { isBroadCastEnabled, toggleBroadcastMode } = useVideoCall();
  const broadcastMode = ref<boolean>();
  syncRefs(isBroadCastEnabled, broadcastMode);

  watchDebounced(
    broadcastMode,
    (status) => {
      if (isBroadCastEnabled.value !== status) {
        toggleBroadcastMode(Boolean(status));
      }
    },
    { debounce: 500 },
  );
</script>
<template>
  <div class="flex-none">
    <SwToggle v-model="broadcastMode" />
  </div>
  <div class="grow">
    <div class="flex flex-col">
      <h5 class="text-sm font-semibold">
        {{ $t('presentation.guideTool.broadcastMode.headline') }}
      </h5>
      <span class="text-information-subdued pt-0.5 text-xs">{{
        $t('presentation.guideTool.broadcastMode.sublime')
      }}</span>
    </div>
  </div>
</template>
